Subject: Re: [take12 0/3] kevent: Generic event handling mechanism.

From: Andi Kleen <[email-masked]>
Date: 23 Aug 2006 11:58:20 +0200

Evgeniy Polyakov <[email-masked]> writes:
> 
> Let's then place there a structure with 64bit seconds and nanoseconds,
> similar to timspec, but without longs there.

You need 64bit (or at least more than 32bit) for the seconds,
otherwise you add a y2038 problem which would be sad in new code.
Remember you might be still alive then ;-)

Ok one could argue that on 32bit architectures 2038 is so deeply
embedded that it doesn't make much difference, but I still
think it would be better to not readd it to new interfaces there.

64bit longs on 32bit is fine, as long as you use aligned_u64,
never long long or u64 (which has varying alignment between i386 and x86-64)

-Andi